%global dlrn_nvr os-net-config-14.2.1.dev34-1.20230412014752.73299ce
%global dlrn 1
%define upstream_version 14.2.1.dev34
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}


Name:			os-net-config
Version: 14.2.1
Release: 1.20230412014753%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0: os-net-config-14.2.1.dev34-1.20230412014752.73299ce.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=73299cef40cbee460efb2e999ca234356cfcbd68
Patch0001: 0001-Fix-breaking-vf-lag-functionality-in-os-net-config.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

Requires:	initscripts
Requires:	iproute
Requires:	ethtool
Requires:	dhclient

BuildArch:	noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:  git-core
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-pbr
BuildRequires:	python3-sphinx
BuildRequires:	python3-openstackdocstheme

Requires:	python3-eventlet >= 0.18.2
Requires:	python3-oslo-concurrency >= 3.8.0
Requires:	python3-oslo-config
Requires:	python3-oslo-utils >= 3.20.0
Requires:	python3-netaddr >= 0.7.13
Requires:	python3-iso8601 >= 0.1.11
Requires:	python3-six >= 1.9.0
Requires:	python3-pbr >= 2.0.0
Requires:	python3-jsonschema >= 2.6.0

Requires:	python3-PyYAML >= 3.10
Requires:	python3-anyjson >= 0.3.3
Requires:	python3-pyudev >= 0.16.1

%if 0%{?rhel} > 7
# RHEL8 requires a network-scripts package for ifcfg backwards compatibility
Requires:   network-scripts
%endif

%description
Host network configuration tool for OpenStack.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif

%autosetup -n %{name}-%{upstream_version} -S git

%build
%{py3_build}
sphinx-build -W -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.{doctrees,buildinfo}

%install
%{py3_install}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{_bindir}/os-net-config-sriov
%{_bindir}/os-net-config-sriov-bind
%{python3_sitelib}/os_net_config*

%changelog
* Tue Jun 06 2023 Miguel Garcia <mgarciac@redhat.com> 14.2.1-1.20230412014753
- Fix breaking vf-lag functionality in os-net-config (rhbz#2172181)

* Tue Apr 11 2023 OSP Prod Chain <dev-null@redhat.com> 14.2.1-1.20230412014752.73299ce
- Update patches
- Fix PKEY_ID value in ifcfg file of infiniband child interface

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.2.1-1.20230322225250.100b0e4
- Update patches
- Avoid reconfiguring SR-IOV devices during stack update

* Mon Jan 09 2023 OSP Prod Chain <dev-null@redhat.com> 14.2.1-1.20230109233756.d682470
- Update patches
- Mellanox NICs' ifcfg-scripts should not be removed when no CONFIG change exists
- Updates to tox and setup.cfg files
- Updating Zuul CI jobs for os-net-config repo

* Fri Jan 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.2.1-1.20230106160154.bce672d
- Update patches
- zuul: Declare queue at top level

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-1.20220727153442.755f151
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-1.20220718123147.755f151
- Update patches
- Add mac-size-table to all OVS bridges
- Format json output properly

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220428003536.19307e0
- Update patches
- Fix failure in dpdk driver binding with VF during reboot

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220427225600.6626afc
- Fix failure in dpdk driver binding with VF during reboot

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220416024224.6626afc
- Update patches
- vDPA support for CentOS9

* Thu Apr 07 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220407133408.d5ab3ee
- Update patches
- Revert "Updating sriov_config.service to run before driverctl.slice and network-pre"

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220407022908.fe216f8
- Revert "Updating sriov_config.service to run before driverctl.slice and network-pre"

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220204023243.fe216f8
- Update patches
- Notify the need for overriding the default driver for Mellanox NIC
- For linux bond over VFs, disable spoofcheck by default

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20220122224534.8c86923
- Update patches
- Adding steering_mode config to sriov_pf object

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20211216162943.a80966b
- Update patches
- Change the pkey_id type from string to int
- The default max/min tx rates shall not halt deployment

* Wed Dec 01 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20211202001903.1eb167f
- Update patches
- Moving is_mellanox_interface to common
- Adding logging to file
- Add ifcfg-* scripts on boot for Mellanox NIC interface
- Drop six
- Drop unused requirements

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20211112192407.0d5af62
- Update patches
- Fix upper constraints

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20211029022428.adc49ed
- Update patches

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20211029005141.adc49ed
- Update patches
- Update .gitreview for stable/wallaby

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20211003003420.bb6702b
- Update patches
- Update sriov config service to handle nic partitioned PF
- Updating sriov_config.service to run before driverctl.slice and network-pre

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210910005349.44c6550
- Update patches
- Allow linux tap to use routes

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210828003103.ec3ed23
- Update patches
- allow vhost0 to pass list of members

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.0-0.20210818012825.97a015b
- Update patches

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210728001816.97a015b
- Update patches
- vdpa: Introducing the vdpa PF flag
- sriov_config: light refactoring

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210719222911.e2b7ed1
- Update patches

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210707221808.e2b7ed1
- Update patches
- Avoid creating multiple entries of udev rules

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.0-0.20210528111242.012b58c
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.0-0.20210513000832.012b58c
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updating sriov_config service to run after openibd service

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Write complete os-net-config examples
- Document os-net-config YAML format
- Refresh README.rst, expand usage.rst

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Exclude DPDK mapped VF device even if not present

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check to ensure active DPDK NICs only mapped once

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- basic support for Linux tap devices

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Wire up new tripleo upgrades jobs template

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support binding VFs after moving to switchdev

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixing the dependency for sriov_config service
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate to content provider jobs/templates

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable smfs software steering when switchdev is enabled

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking min version to 3.0.1

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add NIC Partitioning support for Mellanox VFs

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid openvswitch restarts during re-run

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch from unittest2 compat methods to Python 3.x methods

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set OVSBOOTPROTO to dhcp when using dhcpv6 with OVS

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Missing document start "---"

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for python 3.8

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skip VFs configured for DPDKs during NIC ordering

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Retries are attempted if VF configuration fails

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run ifup on a bond when a slave interface is restarted

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- SRIOV VF: Add min_tx_rate and max_tx_rate

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third part mock

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use unittest.mock instead of third part mock
- Use unittest.mock instead of third part mock

* Sat Mar 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third part mock

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable new routing rules on the fly without restarting interfaces

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- We need to use the MAC instead of PCI Address for Mellanox cards

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding IPoIB child interfaces to the os-net-config

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Stop testing python2.7"
- Stop testing python2.7

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow linux_team in ovs_bridge

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Using tempfile instead of fixed path in unit tests.

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding testcases for sriov_config

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup the sriov_numvfs config scripts

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "setup.cfg: Cleanup"
- setup.cfg: Cleanup

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


